org.eclipse.emf.facet.widgets.celleditors

## Interface IWidget2<T>

All Known Implementing Classes:
  AbstractCellEditorComposite, BigDecimalComposite, BigIntegerComposite, BooleanComposite, ByteComposite, CharComposite, DoubleComposite, FloatComposite, IntComposite, LongComposite, ShortComposite, StringComposite, StringMultiComposite

    public interface IWidget2<T>

Implemented by `Composite`s that are encapsulated in `cell editors`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addChangeListener(IListener listener)` Add a listener for changes to the value
`void` `addCommitListener(IListener listener)` Add a listener that is notified when the value in the widget is "committed".
`IValidator` `getValidator()`
`T` `getValue()` Get the value from the widget
`void` `removeChangeListener(IListener listener)` Remove an existing change listener
`void` `removeCommitListener(IListener listener)` Remove an existing commit listener
`void` `setValue(T value)` Set the given value in the widget

### Method Detail

#### getValidator

    IValidator getValidator()

Returns:
  the validator used to determine whether an entered value is accepted

#### addCommitListener

    void addCommitListener(IListener listener)

Add a listener that is notified when the value in the widget is "committed". That is, when the user hits Enter or clicks outside the widget.

#### removeCommitListener

    void removeCommitListener(IListener listener)

Remove an existing commit listener

#### addChangeListener

    void addChangeListener(IListener listener)

Add a listener for changes to the value

#### removeChangeListener

    void removeChangeListener(IListener listener)

Remove an existing change listener

#### setValue

    void setValue(T value)

Set the given value in the widget

#### getValue

    T getValue()

Get the value from the widget